window.InitUserScripts = function()
{
var player = GetPlayer();
var object = player.object;
var once = player.once;
var addToTimeline = player.addToTimeline;
var setVar = player.SetVar;
var getVar = player.GetVar;
var update = player.update;
var pointerX = player.pointerX;
var pointerY = player.pointerY;
var showPointer = player.showPointer;
var hidePointer = player.hidePointer;
var slideWidth = player.slideWidth;
var slideHeight = player.slideHeight;
var getKeyDown = player.getKeyDown;
var keydown = player.keydown;
var keyup = player.keyup;
window.Script1 = function()
{
  var idConteudo = "";
var idUserMobile = "";

async function getInfo() {
  try {
    const response = await fetch(
      "https://aprendamais.connectapps.com.br/novoAprendaMaisAPI/mobile/gravarHistorico"
    );

    const json = await response.json();

    const dados = json.response;

    idConteudo = dados.idConteudo;
    idUserMobile = dados.idUserMobile;

    console.log("Dados carregados");

  } catch (error) {
    console.log(error);
  }
}

async function setComplete() {
  try {

    const response = await fetch(
      "https://aprendamais.connectapps.com.br/novoAprendaMaisAPI/mobile/gravarHistoricoupt/iduser=" +
      idUserMobile +
      "&idConteudo=" +
      idConteudo
    );

    alert("Sua participação no curso foi registrada com sucesso!");

    if (window.ReactNativeWebView) {
      window.ReactNativeWebView.postMessage("REDIRECT");
    }

  } catch (error) {
    console.log(error);
  }
}

// executa ao abrir slide
getInfo();

// executa ao clicar botão
setComplete();
}

};
